#include <bits/stdc++.h>

using namespace std;
string a,b,c;
string j,d,t,cc,p,s;
string maxi;
int main(){
    cin>>a>>b>>c;
   j=c+a+b;
   
   d=c+b+a;
   
   t=b+a+c;
   
   cc=b+c+a;
   
   p=a+c+b;
   
   s=a+b+c;

   maxi=max(j,max(d,max(t,max(cc,max(p,s)))));
   cout<<maxi<<endl;
    return 0;
}